VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Recovery::Backup::Parts::Part Class Reference
Inheritance diagram for Com::Vmware::Appliance::Recovery::Backup::Parts::Part:

## Avaliable Methods
public method | set_selected_by_default ()
public method | set_description ()
public method | get_id ()
public method | get_optional ()
public method | set_name ()
public method | set_id ()
public method | set_optional ()
public method | get_description ()
public method | get_selected_by_default ()
public method | new ()
public method | get_name ()

## Detailed Description

`Com::Vmware::Appliance::Recovery::Backup::Parts::Part` class Structure representing backup restore part

## Member Function Documentation

public method Com::Vmware::Appliance::Recovery::Backup::Parts::Part::get_description | ( |  | ) |

Gets the value of 'description' property.

Return values

  description | - The current value of the field. part description id in message bundle LocalizableMessage#

Code:
click to view
# Number of lines of code in get_description: 4
sub get_description {
my ($self, %args) = @_;
return $self->{'description'};
}

public method Com::Vmware::Appliance::Recovery::Backup::Parts::Part::get_id | ( |  | ) |

Gets the value of 'id' property.

Return values

  id | - The current value of the field. part ID ID#

Code:
click to view
# Number of lines of code in get_id: 4
sub get_id {
my ($self, %args) = @_;
return $self->{'id'};
}

public method Com::Vmware::Appliance::Recovery::Backup::Parts::Part::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. part name id in message bundle LocalizableMessage#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Appliance::Recovery::Backup::Parts::Part::get_optional | ( |  | ) |

Gets the value of 'optional' property.

Return values

  optional | - The current value of the field. Estimated size of this piece boolean#

Code:
click to view
# Number of lines of code in get_optional: 4
sub get_optional {
my ($self, %args) = @_;
return $self->{'optional'};
}

public method Com::Vmware::Appliance::Recovery::Backup::Parts::Part::get_selected_by_default | ( |  | ) |

Gets the value of 'selected_by_default' property.

Return values

  selected_by_default | - The current value of the field. Is part selected by default in UI boolean#

Code:
click to view
# Number of lines of code in get_selected_by_default: 4
sub get_selected_by_default {
my ($self, %args) = @_;
return $self->{'selected_by_default'};
}

public method Com::Vmware::Appliance::Recovery::Backup::Parts::Part::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Recovery::Backup::Parts::Part structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 24
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{id} = $args{'id'};
$self->{name} = $args{'name'};
$self->{description} = $args{'description'};
$self->{selected_by_default} = $args{'selected_by_default'};
$self->{optional} = $args{'optional'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Recovery::Backup::Parts::Part');
$self->set_binding_name('name' => 'com.vmware.appliance.recovery.backup.parts.part');
$self->set_binding_field('key' => 'id', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Recovery::Backup', 'type_name' => 'Parts::LocalizableMessage'));
$self->set_binding_field('key' => 'description', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Recovery::Backup', 'type_name' => 'Parts::LocalizableMessage'));
$self->set_binding_field('key' => 'selected_by_default', 'value' => new Com::Vmware::Vapi::Bindings::Type::BooleanType());
$self->set_binding_field('key' => 'optional', 'value' => new Com::Vmware::Vapi::Bindings::Type::BooleanType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Recovery::Backup::Parts::Part::set_description | ( |  | ) |

Sets the given value for 'description' property.

Parameters

  description | - New value for the field. part description id in message bundle

Code:
click to view
# Number of lines of code in set_description: 5
sub set_description {
my ($self, %args) = @_;
$self->{'description'} = $args{'description'};
return;
}

public method Com::Vmware::Appliance::Recovery::Backup::Parts::Part::set_id | ( |  | ) |

Sets the given value for 'id' property.

Parameters

  id | - New value for the field. part ID

Code:
click to view
# Number of lines of code in set_id: 5
sub set_id {
my ($self, %args) = @_;
$self->{'id'} = $args{'id'};
return;
}

public method Com::Vmware::Appliance::Recovery::Backup::Parts::Part::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. part name id in message bundle

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Appliance::Recovery::Backup::Parts::Part::set_optional | ( |  | ) |

Sets the given value for 'optional' property.

Parameters

  optional | - New value for the field. Estimated size of this piece

Code:
click to view
# Number of lines of code in set_optional: 5
sub set_optional {
my ($self, %args) = @_;
$self->{'optional'} = $args{'optional'};
return;
}

public method Com::Vmware::Appliance::Recovery::Backup::Parts::Part::set_selected_by_default | ( |  | ) |

Sets the given value for 'selected_by_default' property.

Parameters

  selected_by_default | - New value for the field. Is part selected by default in UI

Code:
click to view
# Number of lines of code in set_selected_by_default: 5
sub set_selected_by_default {
my ($self, %args) = @_;
$self->{'selected_by_default'} = $args{'selected_by_default'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Recovery/Backup/Parts.pm